// ObjectViewerView.h : interface of the CObjectViewerView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_OBJECTVIEWERVIEW_H__6B3C9722_A6A3_11D4_83CE_004033E136DA__INCLUDED_)
#define AFX_OBJECTVIEWERVIEW_H__6B3C9722_A6A3_11D4_83CE_004033E136DA__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CObjectViewerView : public CView
{
protected: // create from serialization only
	CObjectViewerView();
	DECLARE_DYNCREATE(CObjectViewerView)

// Attributes
public:
	CObjectViewerDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CObjectViewerView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CObjectViewerView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CObjectViewerView)
	afx_msg void OnTransformMirror();
	afx_msg void OnTransformRotate();
	afx_msg void OnTransformScale();
	afx_msg void OnTransformTranslate();
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in ObjectViewerView.cpp
inline CObjectViewerDoc* CObjectViewerView::GetDocument()
   { return (CObjectViewerDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OBJECTVIEWERVIEW_H__6B3C9722_A6A3_11D4_83CE_004033E136DA__INCLUDED_)
